<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta name="description" content="Play MAME on your TV Arcade Monitor or Fixed Frequency Monitor">
<meta name="keywords" content="advancemame advancemenu advancecd advanceboot makebootfat advance advmame advcd advmenu advcomp mame mess linux scale2x arcade retrogame tv monitor control play coinop cabinet retrogaming">
<meta name="author" content="Andrea Mazzoleni">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="style.css">
<title>Advance Projects</title>

<!-- Google Analytics 4 -->
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-JE7ZVT424T"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-JE7ZVT424T');
</script>

<!-- Google Universal Analytics -->
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-21967501-3']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
</head>
<body>
<div id="header">
<img src="index.jpg" width="1200" height="150" alt="Title">
</div>
<div id="menu">
<a href="/">About</a>
<a href="download">Download</a>
<a href="doc">Documentation</a>
<a href="support">Support</a>
<a href="forum">Forum</a>
<a href="history">History</a>
<a href="cost">Cost</a>
<a href="video-link">Video</a>
<a href="authors">Authors</a>
</div>
<div id="main">


<p>
You can also check the history of <a href="history">AdvanceMAME</a>, <a href="scan-history">AdvanceSCAN</a> and <a href="comp-history">AdvanceCOMP</a>.
</p>

<p>
The WIP version is available in <a href="https://github.com/amadvance/advancecomp/blob/master/doc/history.d">git</a>.
</p>

<h2> 
AdvanceCOMP Version 2.6 2023/10
</h2>
<ul>
<li>
Update libdeflate to 1.19 [Darik Horn]
</li>
</ul>
<h2> 
AdvanceCOMP Version 2.5 2023/01
</h2>
<ul>
<li>
Fix segmentation fault on invalid MNG size
</li>
</ul>
<h2> 
AdvanceCOMP Version 2.4 2022/11
</h2>
<ul>
<li>
Fix CVE-2022-35014, CVE-2022-35015, CVE-2022-35016, CVE-2022-35017,
CVE-2022-35018, CVE-2022-35019, CVE-2022-35020
</li>
<li>
Update libdeflate to 1.14
</li>
</ul>
<h2> 
AdvanceCOMP Version 2.3 2022/04
</h2>
<ul>
<li>
Fix compatibility with modern C++ compilers.
</li>
</ul>
<h2> 
AdvanceCOMP Version 2.2 2019/03
</h2>
<ul>
<li>
Fixed multiple crash conditions with invalid PNG/MNG files.
</li>
</ul>
<h2> 
AdvanceCOMP Version 2.1 2018/02
</h2>
<ul>
<li>
Support ZIPs with data descriptor signature.
</li>
<li>
Fixed a crash condition with invalid ZIP data.
</li>
</ul>
<h2> 
AdvanceCOMP Version 2.0 2017/06
</h2>
<ul>
<li>
Added support for reading MNG files with depth of 1, 2, and 4 bits.
</li>
<li>
Added 64 bits binary for Windows.
</li>
<li>
Updated to libdeflate 29-May-2017.
From https://github.com/ebiggers/libdeflate
at commit 1726e9e87fb6f98682dfdea2356d5ee58881fe7b.
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.23 2016/11
</h2>
<ul>
<li>
Fixed build issue from source code due missing libdeflate header.
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.22 2016/11
</h2>
<ul>
<li>
Enabled again the command line wildcard expansion in the Windows
builds. The new MingW compiler was disabling it by default.
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.21 2016/11
</h2>
<ul>
<li>
Added libdeflate support. It's the new default because it provides
better performance and compression than 7z.
From https://github.com/ebiggers/libdeflate
at commit 28cc14994b8b57f590d31a7340c8fffc5cc37d88.
</li>
<li>
Update to the latest zopfli library.
From https://github.com/google/zopfli
at commit 6818a0859063b946094fb6f94732836404a0d89a.
</li>
<li>
Windows binaries built with MingW 4.9.3 using the MXE cross compiler at
commit 62bcdbee56e87c81f1faa105b8777a5879d4e2e with targets
i686-w64-mingw32 and x86_64-w64-mingw32.
</li>
<li>
DOS binaries built with DJGPP 4.8.5 from
https://github.com/andrewwutw/build-djgpp
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.20 2015/08
</h2>
<ul>
<li>
Fixed .gz recompression of data bigger than 400 MB.
</li>
<li>
Fixed .gz recompression with -0 and -1 options.
</li>
<li>
Updated to the latest zopfli [Aaron Kaluszka].
</li>
<li>
Preserve the EFS flag in .zip files [Jason Penney].
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.19 2014/03
</h2>
<ul>
<li>
Limited the iterations number to 255 with the -3 option.
</li>
<li>
Added a new -k, --keep-file-time option to advzip [Marco Banfi].
</li>
<li>
Made the Windows binary again compatible with old 686 processors.
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.18 2013/11
</h2>
<ul>
<li>
Added build support for new powerpc architectures.
</li>
<li>
Fixed build with BZIP.
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.17 2013/03
</h2>
<ul>
<li>
Changed to GPL3.
</li>
<li>
Added zopfli support. It's enabled using -4, --shrink-insane.
You can control the number of iterations with the
new -i, --iter option.
Thanks to Darik Horn for the patches.
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.16 2013/03
</h2>
<ul>
<li>
Allowed recompression with files with zero length.
</li>
<li>
Some other minor bugfixes.
</li>
<li>
Now in git repository.
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.15 2005/10
</h2>
<ul>
<li>
Fixed the date displayed with the -l advzip command.
</li>
<li>
The advdef utility now detects the file type from the file
header instead of using the extension.
</li>
<li>
Fixed a lot of bugs in the 64 bits platforms.
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.14 2005/02
</h2>
<ul>
<li>
Relaxed a consistency check for the local header in zip files.
The crc and size entries are allowed to contain the real
value also if a data descriptor is present.
</li>
<li>
Fixed the conversion of RGB images with less than 256 color
with transparency data.
</li>
<li>
Minor fixes at the documentation.
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.13 2004/11
</h2>
<ul>
<li>
Added support for .svgz files at advdef [rener].
</li>
<li>
Fixed the 8 bit color reduction of 32 bit png files.
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.12 2004/09
</h2>
<ul>
<li>
Fixed a compilation problem with gcc 3.4.
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.11 2004/07
</h2>
<ul>
<li>
Fixed a FreeBSD libc compatibility issue recompressing
.gz files [Radim Kolar].
</li>
<li>
Fixed a segmentation fault when some invalid
compressed .zip files are tested.
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.10 2004/04
</h2>
<ul>
<li>
Added support for alpha channel and the new -n option
at advmng.
</li>
<li>
Fixed the uncompressing error "Invalid compressed data in ..."
with some GZIP files [Christian Lestrade].
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.9 2003/11
</h2>
<ul>
<li>
Added support for .tgz files at advdef.
</li>
<li>
Added the -a option at advmng to create .mng files from
a sequence of .png files.
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.8 2003/10
</h2>
<ul>
<li>
Added support for .gz files at advdef.
</li>
<li>
Fixed support for .png files with splitted IDATs.
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.7 2003/08
</h2>
<ul>
<li>
Fixed a Segmentation Fault bug on the advmng -r option on
the latest gcc.
</li>
<li>
Better and faster (MMX) move recognition in the advmng scroll
compression.
</li>
<li>
The frame reduction of the advmng utility is now done only if possible.
The compression process never fails.
</li>
<li>
Added a new -S (--scroll-square) option at advmng.
</li>
<li>
Added a new -v (--verbose) option at advmng to show the
compression status.
</li>
<li>
Changed the internal ID for the bzip2 and LZMA compression.
The bzip2 ID is now compatible with the PKWARE specification.
</li>
<li>
Added support for RGB images with alpha channel at the advpng utility.
</li>
<li>
Updated with automake 1.7.6.
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.6 2003/05
</h2>
<ul>
<li>
Added the `-x' option at the advmng utility to export .png files
from a .mng clip. Useful to compress it in an MPEG file.
</li>
<li>
Fixed the support for zips with additional data descriptors.
</li>
<li>
Updated with autoconf 2.57 and automake 1.7.4.
</li>
<li>
Some fixes for the gcc 3.3 compiler.
</li>
</ul>
<h2> 
AdvanceCOMP Version 1.5 2003/01
</h2>
<ul>
<li>
Splitted from AdvanceSCAN
</li>
<li>
Added the `advdef' compression utility.
</li>
</ul>
<h2> 
AdvanceSCAN Version 1.4 2002/12
</h2>
<ul>
<li>
Fixed a bug in the advmng utility when it was called with
more than one file in the command line. The program
was incorrectly adding a PLTE chunk at rgb images.
</li>
</ul>
<h2> 
AdvanceSCAN Version 1.3 2002/11
</h2>
<ul>
<li>
Added the support for the transparency tRNS chunk at the
advpng utility.
</li>
<li>
Upgraded at the latest Advance Library.
</li>
<li>
Fixes at the docs. [Filipe Estima]
</li>
<li>
Minor changes at the autoconf/automake scripts.
</li>
</ul>
<h2> 
AdvanceSCAN Version 1.2 2002/08
</h2>
<ul>
<li>
Added the advpng utility to compress the PNG files.
</li>
<li>
Added the advmng utility to compress the MNG files.
</li>
<li>
Added a Windows version.
</li>
<li>
Other minor fixes.
</li>
</ul>
<h2> 
AdvanceSCAN Version 1.1 2002/06
</h2>
<ul>
<li>
Fixed an infinite loop bug testing some small damaged zips.
</li>
<li>
Removed some warning compiling with gcc 3.1.
</li>
</ul>
<h2> 
AdvanceSCAN Version 1.0 2002/05
</h2>
<ul>
<li>
First public release.
</li>
<li>
Fixed the compression percentage computation on big files.
</li>
<li>
Added the --pedantic option at the advzip utility. These
tests are only done if requested.
</li>
</ul>
<h2> 
AdvanceSCAN Version 0.6-beta 2002/05
</h2>
<ul>
<li>
Added the AdvanceZIP utility.
</li>
</ul>


</div>

<div id="footer">

<div class="column">
<span class="bold">Donate with</span>
<br>
<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=amadvance%40gmail%2ecom&lc=US&item_name=AdvanceMAME&no_note=0&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHostedGuest"><img src="paypal.png" width="160" height="60" alt="PayPal"></a>
</div>

<div class="column">
<span class="bold">Find other resources at</span>
<br>
<a href="https://github.com/amadvance/advancemame/"><img src="github.png" width="160" height="60" alt="GitHub"></a>
<a href="http://sourceforge.net/projects/advancemame/"><img src="sourceforge.png" width="115" height="60" alt="SourceForge"></a>
</div>

</div>
</body>
</html>


